SDL_dinputjoystick_c.h File Reference
`#include "../../SDL_internal.h"`
Include dependency graph for SDL_dinputjoystick_c.h:

Go to the source code of this file.

## Functions

int | SDL_DINPUT_JoystickInit (void)
void | SDL_DINPUT_JoystickDetect (JoyStick_DeviceData **pContext)
int | SDL_DINPUT_JoystickOpen (SDL_Joystick *joystick, JoyStick_DeviceData *joystickdevice)
void | SDL_DINPUT_JoystickUpdate (SDL_Joystick *joystick)
void | SDL_DINPUT_JoystickClose (SDL_Joystick *joystick)
void | SDL_DINPUT_JoystickQuit (void)

## Function Documentation

void SDL_DINPUT_JoystickClose | ( | SDL_Joystick * | joystick | ) |

Definition at line 895 of file SDL_dinputjoystick.c.

{
}

void SDL_DINPUT_JoystickDetect | ( | JoyStick_DeviceData ** | pContext | ) |

Definition at line 879 of file SDL_dinputjoystick.c.

{
}

int SDL_DINPUT_JoystickInit | ( | void |  | ) |

Definition at line 873 of file SDL_dinputjoystick.c.

{
return 0;
}

int SDL_DINPUT_JoystickOpen | ( | SDL_Joystick * | joystick,
|  | JoyStick_DeviceData * | joystickdevice
| ) |  |

Definition at line 884 of file SDL_dinputjoystick.c.

References SDL_Unsupported.

{
return SDL_Unsupported();
}
SDL_Unsupported
#define SDL_Unsupported()
Definition: SDL_error.h:53

void SDL_DINPUT_JoystickQuit | ( | void |  | ) |

Definition at line 900 of file SDL_dinputjoystick.c.

{
}

void SDL_DINPUT_JoystickUpdate | ( | SDL_Joystick * | joystick | ) |

Definition at line 890 of file SDL_dinputjoystick.c.

{
}